Bug 258830 - False undeclared global variable hint
False undeclared global variable hint
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
8.2
PC Linux
: P3 (vote)
: 8.2
Assigned To: Petr Hejl
issues@javascript
:
Depends on:
Blocks: 242387
  Show dependency treegraph
 
Reported: 2016-04-14 14:42 UTC by Petr Hejl
Modified: 2016-06-03 07:58 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2016-04-14 14:42:15 UTC
import {x as y} from 'dd';

There is hint on undeclared y.
Comment 1 everflux 2016-04-29 10:59:37 UTC
The same happens for lambdas:

var odds = evens.map(v => v + 1);

Hint on 'v': "The global variable 'v' is not declared"
Comment 2 Petr Hejl 2016-05-30 13:03:22 UTC
(In reply to everflux from comment #1)
> The same happens for lambdas:
> 
> var odds = evens.map(v => v + 1);
> 
> Hint on 'v': "The global variable 'v' is not declared"

This one already works on ecma6 (not yet available).
Comment 3 Petr Pisl 2016-06-03 07:58:01 UTC
Fixed on the branch.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo